Metrics

Get Public Chart Data

GET
/v0/metrics/embed/{chartId}

Path Parameters

chartId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v0/metrics/embed/string"
{  "chart": {    "id": "string",    "name": "string",    "description": "string",    "chartType": "widget",    "queryConfig": {      "primaryMetric": {        "field": "string",        "aggregation": "sum",        "label": "string"      },      "metrics": [        {          "field": "string",          "aggregation": "sum",          "label": "string"        }      ],      "dimensions": [        {          "role": "time",          "field": "string",          "interval": "minute"        }      ],      "filters": [        {          "field": "string",          "operator": "equals",          "value": "string"        }      ],      "timeRange": {        "maxAgeMs": 0,        "from": "string",        "to": "string"      },      "deduplicateServers": true,      "mode": "history",      "groupLimit": 0,      "visualOptions": {        "colors": [          "string"        ],        "pie": {          "style": "pie",          "showLegend": true,          "showTotal": true,          "showLabels": true,          "totalDisplayMode": "sum",          "drilldown": {            "enabled": true,            "splitPattern": "string"          }        },        "bar": {          "stacked": true,          "orientation": "vertical"        },        "line": {          "lineType": "monotone",          "showDots": true        },        "widget": {          "showTrend": true,          "displayMode": "default",          "valueFormat": "number"        },        "list": {          "selectedTabIndex": 0,          "splitPattern": "string",          "multiMetric": true        },        "heatmap": {          "showLegend": true        },        "radar": {          "showDots": true,          "fillOpacity": 0,          "showLegend": true,          "gridType": "polygon"        },        "scatter": {          "pointSize": "small",          "showLegend": true        }      },      "markerCollections": [        {          "collectionId": "string",          "enabled": true,          "display": {            "icon": "string",            "emoji": "string",            "color": "string"          }        }      ]    },    "flowNodes": [      {        "id": "string",        "type": "string",        "data": {},        "position": {          "x": 0,          "y": 0        }      }    ],    "flowEdges": [      {        "id": "string",        "source": "string",        "target": "string"      }    ]  },  "projectName": "string",  "projectPreferredChartColors": [    "string"  ],  "data": null,  "markers": [    {      "id": "string",      "collectionId": "string",      "collectionName": "string",      "timestamp": "string",      "title": "string",      "description": "string",      "icon": "string",      "emoji": "string",      "color": "string"    }  ],  "markerCollectionGrouping": {    "property1": "auto",    "property2": "auto"  },  "flowMeta": {    "outputs": [      {        "id": "string",        "index": 0,        "name": "string",        "explicitName": "string",        "iconSetId": "string",        "color": "string",        "colors": [          "string"        ],        "splitPattern": "string",        "splitDataSource": "string",        "groupField": "string",        "groupFields": [          "string"        ],        "primaryMetric": {          "field": "string",          "aggregation": "string"        }      }    ],    "hasTimeGroup": true,    "hasBreakdownTimeSeries": true,    "datasourceFields": [      "string"    ],    "splitLabelSeparator": "string",    "timeGroupInterval": "minute"  }}
{  "_tag": "NotFoundError",  "message": "string"}
{  "_tag": "InternalServerError",  "message": "string"}